Bug 49023 - relocation fails, possibly bad string operation
relocation fails, possibly bad string operation
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-12 22:42 EDT by Brian Gunney
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-13 04:59:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file (528 bytes, text/plain)
2001-07-12 22:43 EDT, Brian Gunney
no flags Details

  None (edit)
Description Brian Gunney 2001-07-12 22:42:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
Using --relocate /usr=/usr/local leads to false error

How reproducible:
Always

Steps to Reproduce:
1. Build package using testreloc.spec (attached)
2. Install rpm as follows:
rpm -ivh --relocate /usr=/usr/local testreloc-0.1-1.i386.rpm
3.
	

Actual Results:  rockies:~/brian/rpm/rpms/i386>14 rpm -ivh --relocate
/usr=/usr/local testreloc-0.1-1.i386.rpm 
Preparing...                ###########################################
[100%]
file /usrlocal from install of testreloc-0.1-1 conflicts with file from
package filesystem-2.0.7-1


Expected Results:  Package installed with files relocated to /usr/local

Additional info:
Note missing "/" between "usr" and "local".
Comment 1 Brian Gunney 2001-07-12 22:43:30 EDT
Created attachment 23468 [details]
spec file
Comment 2 Michael Schwendt 2001-07-13 04:59:26 EDT
Duplicate of bug #46890.
Comment 3 Jeff Johnson 2001-07-13 08:35:13 EDT
Try rpm-4.0.3-0.57 from
	ftp://ftp.rpm.org/pub/rpm/test-4.0.3
Relocations were broken in rpm-4.0.2, fixed in rpm-4.0.3-0.6

Note You need to log in before you can comment on or make changes to this bug.